# Tripal JBrowse Integration

This package of modules integrates [GMOD JBrowse](https://jbrowse.org/) into your [Tripal](http://tripal.info/) site providing 
 - Tripal page integration via **Tripal JBrowse** and 
 - a user interface for JBrowse instance creation and management via **Tripal JBrowse Management**. 
 
 This powerful combination allows you to provide seamless genome browsing to your users in an administrator-friendly manner.

## Quick Start
1. Download and unpack this package in your Drupal modules directory (i.e `sites/all/modules`).
2. Enable "Tripal JBrowse Management" submodule through `http://[your site]/admin/modules`.
3. Create a JBrowse instance for your species of interest using the **Admin > Tripal > Tripal JBrowse Management** user interface.
4. Enable "Tripal JBrowse Integration" submodule through `http://[your site]/admin/modules`.
5. Create an embeded JBrowse page at **Add Content > JBrowse Instance** by supplying the information for the instance created in step 3.

## Documentation

Please visit our [online documentation](https://tripal_jbrowse.readthedocs.io/) to learn more about installation, usage and features.

## License & Acknowledgements

This module is open-source and licensed under GPLv3. [Read full license](LICENSE.txt).

**Authors:**

- Lacey-Anne Sanderson (@laceysanderson)
- Abdullah Almsaeed (@almasaeed2010)
- Joe West (@jwest60)
- Other contributors (https://github.com/tripal/tripal_jbrowse/graphs/contributors)

*Copyright 2018 University of Saskatchewan and University of Tennessee Knoxville.* 
